%define majver %(echo %version | cut -d. -f1-2)

Name:          kcodecs
Version:       5.51.0
Release:       1mamba
Summary:       A collection of methods to manipulate strings using various encodings
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           GPL
Source:        http://download.kde.org/stable/frameworks/%{majver}/kcodecs-%{version}.tar.xz
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: rpm-macros-kde5
BuildRequires: libQt5Core
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KCodecs provide a collection of methods to manipulate strings using various encodings.
It supports base64, uu, and quoted-printable.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang kcodecs5_qt --with-qt --all-name || touch kcodecs5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name} -f kcodecs5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/kcodecs.categories
%{_kde5_libdir}/libKF5Codecs.so.*
%doc COPYING COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_kde5_includedir}/kcodecs_version.h
%{_kde5_includedir}/KCodecs
%{_kde5_libdir}/libKF5Codecs.so
%dir %{_kde5_libdir}/cmake/KF5Codecs
%{_kde5_libdir}/cmake/KF5Codecs/*.cmake
%{_kde5_mkspecsdir}/qt_KCodecs.pri
%doc README.md

%changelog
* Sat Oct 20 2018 Automatic Build System <autodist@mambasoft.it> 5.51.0-1mamba
- automatic version update by autodist

* Mon Sep 10 2018 Automatic Build System <autodist@mambasoft.it> 5.50.0-1mamba
- automatic version update by autodist

* Mon Aug 20 2018 Automatic Build System <autodist@mambasoft.it> 5.49.0-1mamba
- automatic version update by autodist

* Mon Jul 16 2018 Automatic Build System <autodist@mambasoft.it> 5.48.0-1mamba
- automatic version update by autodist

* Sat Jun 16 2018 Automatic Build System <autodist@mambasoft.it> 5.47.0-1mamba
- automatic version update by autodist

* Tue May 15 2018 Automatic Build System <autodist@mambasoft.it> 5.46.0-1mamba
- automatic version update by autodist

* Mon Apr 16 2018 Automatic Build System <autodist@mambasoft.it> 5.45.0-1mamba
- automatic version update by autodist

* Fri Mar 16 2018 Automatic Build System <autodist@mambasoft.it> 5.44.0-1mamba
- automatic version update by autodist

* Tue Feb 27 2018 Automatic Build System <autodist@mambasoft.it> 5.43.0-1mamba
- automatic version update by autodist

* Wed Jan 17 2018 Automatic Build System <autodist@mambasoft.it> 5.42.0-1mamba
- automatic version update by autodist

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 5.41.0-1mamba
- automatic version update by autodist

* Tue Nov 14 2017 Automatic Build System <autodist@mambasoft.it> 5.40.0-1mamba
- automatic version update by autodist

* Sat Oct 21 2017 Automatic Build System <autodist@mambasoft.it> 5.39.0-1mamba
- automatic version update by autodist

* Mon Sep 11 2017 Automatic Build System <autodist@mambasoft.it> 5.38.0-1mamba
- automatic version update by autodist

* Fri Aug 18 2017 Automatic Build System <autodist@mambasoft.it> 5.37.0-1mamba
- automatic version update by autodist

* Fri Aug 04 2017 Automatic Build System <autodist@mambasoft.it> 5.36.0-1mamba
- automatic version update by autodist

* Sat Jun 17 2017 Automatic Build System <autodist@mambasoft.it> 5.35.0-1mamba
- automatic version update by autodist

* Tue Mar 14 2017 Automatic Build System <autodist@mambasoft.it> 5.32.0-1mamba
- automatic version update by autodist

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 5.31.0-1mamba
- automatic version update by autodist

* Tue Jan 24 2017 Automatic Build System <autodist@mambasoft.it> 5.30.0-1mamba
- automatic version update by autodist

* Sun Dec 18 2016 Automatic Build System <autodist@mambasoft.it> 5.29.0-1mamba
- automatic version update by autodist

* Sun Nov 20 2016 Automatic Build System <autodist@mambasoft.it> 5.28.0-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 5.27.0-1mamba
- automatic version update by autodist

* Thu Sep 22 2016 Automatic Build System <autodist@mambasoft.it> 5.26.0-1mamba
- automatic version update by autodist

* Sat Aug 20 2016 Automatic Build System <autodist@mambasoft.it> 5.25.0-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Tue Jun 21 2016 Automatic Build System <autodist@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Sun May 22 2016 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Thu Apr 14 2016 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Tue Mar 29 2016 Automatic Build System <autodist@mambasoft.it> 5.20.0-1mamba
- automatic version update by autodist

* Sat Feb 20 2016 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Fri Jan 15 2016 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Wed Dec 16 2015 Automatic Build System <autodist@mambasoft.it> 5.17.0-1mamba
- automatic version update by autodist

* Sat Nov 21 2015 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Tue Oct 20 2015 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Thu Sep 24 2015 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Mon Jul 13 2015 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Thu Jun 18 2015 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Mon May 11 2015 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Sat Apr 25 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.9.0-4mamba
- standardize the specfile

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-3mamba
- automatic version update by autodist

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-2mamba
- automatic version update by autodist

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Thu Mar 19 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Sun Feb 22 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Fri Feb 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
